<div class="container">
  <div class="row justify-content-md-center" [formGroup]="form">
    <div class="input-container col-sm-3">
      <input
        type="text"
        class="form-control is-invalid"
        placeholder="Username"
        formControlName="username"
        [ngClass]="{
          'is-invalid':
            form.controls.username.invalid &&
            (form.controls.username.dirty || form.controls.username.touched)
        }"
      />
      <div
        class="invalid-feedback"
        *ngIf="
          form.controls.username.invalid &&
          (form.controls.username.dirty || form.controls.username.touched)
        "
      >
        This field can't be empty
      </div>
    </div>
    <div class="input-container col-sm-3">
      <input
        type="text"
        class="form-control"
        placeholder="Name"
        formControlName="firstName"
        [ngClass]="{
          'is-invalid':
            form.controls.firstName.invalid &&
            (form.controls.firstName.dirty || form.controls.firstName.touched)
        }"
      />
      <div
        class="invalid-feedback"
        *ngIf="
          form.controls.firstName.invalid &&
          (form.controls.firstName.dirty || form.controls.firstName.touched)
        "
      >
        This field can't be empty
      </div>
    </div>
    <div class="input-container  col-sm-3">
      <input
        type="text"
        class="form-control"
        placeholder="Last Name"
        formControlName="lastName"
        [ngClass]="{
          'is-invalid':
            form.controls.lastName.invalid &&
            (form.controls.lastName.dirty || form.controls.lastName.touched)
        }"
      />
      <div
        class="invalid-feedback"
        *ngIf="
          form.controls.lastName.invalid &&
          (form.controls.lastName.dirty || form.controls.lastName.touched)
        "
      >
        This field can't be empty
      </div>
    </div>
    <div class="input-container  col-sm-3">
      <select
        type="select"
        class="form-control"
        placeholder=""
        formControlName="role"
      >
        <option value="" [disabled]="true" [hidden]="true">User Type</option>
        <option value="user">User</option>
        <option value="admin">Admin</option>
      </select>
    </div>
    <div class="checkbox-container col-sm-12">
      <input
        type="checkbox"
        class="form-check-input"
        id="enabled"
        formControlName="enabled"
      />
      <label class="form-check-label" for="enabled">User enabled</label>
    </div>
  </div>
  <div class="btn-container col-sm-12">
    <button class="btn btn-primary" (click)="submitForm()">Submit User</button>
  </div>
</div>
